Overview | Modules | Class Hierarchy | Classes | Members

# tlp::MouseEdgeBendEditor Class Reference

`#include <MouseEdgeBendEditor.h>`

Inherits tlp::InteractorComponent.

Inheritance diagram for tlp::MouseEdgeBendEditor:

[legend]
Collaboration diagram for tlp::MouseEdgeBendEditor:

[legend]
List of all members.

## Detailed Description

This interactor allows to move/add/delete EdgeBends.

## Public Member Functions

- MouseEdgeBendEditor ()
- ~MouseEdgeBendEditor ()
- bool compute (GlMainWidget *glMainWidget)
- bool draw (GlMainWidget *)
- bool eventFilter (QObject *, QEvent *)
- InteractorComponent * clone ()

## Constructor & Destructor Documentation

tlp::MouseEdgeBendEditor::MouseEdgeBendEditor | ( |  | ) |

tlp::MouseEdgeBendEditor::~MouseEdgeBendEditor | ( |  | ) | `[inline]`

## Member Function Documentation

InteractorComponent* tlp::MouseEdgeBendEditor::clone | ( |  | ) | `[inline, virtual]`

| Clone this interactor component Implements tlp::InteractorComponent.

bool tlp::MouseEdgeBendEditor::compute | ( | GlMainWidget * | glMainWidget | ) | `[virtual]`

| This function compute the interactor visual feedback Reimplemented from tlp::InteractorComponent.

bool tlp::MouseEdgeBendEditor::draw | ( | GlMainWidget * |  | ) | `[virtual]`

| This function draw interactor Reimplemented from tlp::InteractorComponent.

bool tlp::MouseEdgeBendEditor::eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |

Tulip Software by LaBRI Visualization Team 2001 - 2010